Bug 505599 - cfdg not built with $RPM_OPT_FLAGS
cfdg not built with $RPM_OPT_FLAGS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cfdg (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
: Patch, Regression, Reopened
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-06-12 10:49 EDT by Ville Skyttä
Modified: 2009-06-16 14:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 14:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Build with $RPM_OPT_FLAGS (1.19 KB, patch)
2009-06-12 10:49 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2009-06-12 10:49:20 EDT
Created attachment 347580 [details]
Build with $RPM_OPT_FLAGS

Fix attached, see bug 496968 for more info.
Comment 1 Jon Ciesla 2009-06-12 11:03:47 EDT
Does this patch not *remove* optflags?  Am I misreading it?
Comment 2 Ville Skyttä 2009-06-12 12:55:36 EDT
Yes, you're misreading it :).  But it's a tough one to read as it patches a patch.  Anyway, the end result is that before applying the patch I submitted, ContextFreeSource2.2/Makefile ends up having:

+CPPFLAGS += $(OPTFLAGS)

...(yes, there's a stray + at the beginning of line), and after my patch:

CPPFLAGS += $(OPTFLAGS)
Comment 3 Jon Ciesla 2009-06-15 14:01:08 EDT
Gotcha.

Committed and built. Thanks!
Comment 4 Ville Skyttä 2009-06-16 14:22:32 EDT
Unfortunately the 2.2-2 Rawhide build was bitten by bug 505774:
http://kojipkgs.fedoraproject.org/packages/cfdg/2.2/2.fc12/data/logs/x86_64/build.log

A simple bump and rebuild should fix it.
Comment 5 Jon Ciesla 2009-06-16 14:41:50 EDT
Bah.

Done.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.